summaryrefslogtreecommitdiffstats
path: root/.travis-build.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis-build.sh')
-rwxr-xr-x.travis-build.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/.travis-build.sh b/.travis-build.sh
index e06a4299b..511df04ac 100755
--- a/.travis-build.sh
+++ b/.travis-build.sh
@@ -18,9 +18,16 @@ if [ "$TRAVIS_OS_NAME" = "linux" -o -z "$TRAVIS_OS_NAME" ]; then
mkdir build && cd build
cmake -DCITRA_FORCE_QT4=ON ..
make -j4
+
+ ctest -VV -C Release
elif [ "$TRAVIS_OS_NAME" = "osx" ]; then
+ set -o pipefail
+
export Qt5_DIR=$(brew --prefix)/opt/qt5
+
mkdir build && cd build
cmake .. -GXcode
- xcodebuild -configuration Release | xcpretty -c && exit ${PIPESTATUS[0]}
+ xcodebuild -configuration Release | xcpretty -c
+
+ ctest -VV -C Release
fi